Subject: Re: Question: Using XOpenDisplay and more
From: [email-masked] (Fred Reimer)

10 Jul 1998 08:28:18 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>, "Patrik Alexandersson" <[email-masked]>

These are X11 library routines.  You can only use them if you have the X11
libraries available.  There have been several ports of these (X11R6.3 and
X11R6.4).  I don't have the locations, but know that you can find them by
looking at the related sites list at www.cygnus.com.

If you get the client libraries, you will still need an X server to display
the screens to.  You could use another Unix box you have access to, or you
can download the free MIX X Server for Windows at www.microimages.com.

Forgot the COMPLETELY request.  Once you have the libraries (they will be
placed in /usr/X11R6.3/lib or /usr/X11R6.4/lib depending on what version you
get), you need to include this path in the gcc link line.
An example might be:

gcc bingo.c -o bingo.exe -L/usr/X11R6.3/lib -lX11

Good luck!

Fred Reimer

-----Original Message-----
From: Patrik Alexandersson <[email-masked]>
To: <[email-masked]>
Date: Thursday, July 09, 1998 6:38 AM
Subject: Question: Using XOpenDisplay and more

>Best Mailinlist members!
>
>I have a problem when compiling. I have a little program that uses
>some of the Window functions that I'm familliar with since the very little
>programming I've done (in Unix/XWindows).
>
>When trying compiling with the following commando:
>gcc bingo.c -o bingo.exe
>
>I get these two lines:
>
>C:\WINDOWS\TEMP\cc0010031.o(.text+0xdb);cool.c: undefined reference to
>'XopenDisplay'
>C:\WINDOWS\TEMP\cc0010031.o(.text+0x1fe);cool.c: undefined reference to
>'XCreateSimpleWindow'
>
>I would relly appreciate help in this matter. What am I missing out?
>What can be done to make it work? Is it some sort of linking problem?
>
>_Please_ email me at [email-masked] with some help to this
problem.
>Also, I would be happy if you would explain very "completely", since I'm
>not a first class programmer, nor have english as my motherlanguage.
>
>Really hope for some help!
>
>Best regards;
>Patrik
>---------------------------------------------------------------------------
--
>Name: Patrik Alexandersson
>Email: [email-masked]
>ICQ...: 5469308
>
>And, if you are interested in the history of the Olympic Games, please
>visit my homepage at http://Welcome.To/TheOlympicGames
>---------------------------------------------------------------------------
--
>
>
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".